%define name xmms-mad
%define version 0.5.1
%define release 2mdk

Summary: XMMS MPEG audio input plugin based on MAD
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Sound
URL:   http://xmms-mad.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: xmms
BuildRequires: libxmms1-devel 
BuildRequires: mad-devel >= 0.14.2b-4mdk

%description
xmms-mad is an input plugin for xmms (http://www.xmms.org/) that uses
libmad (http://mad.sourceforge.net/) to decode MPEG layer 1/2/3 file
and streams.

Current features include:
 * local mp3 file playback
 * shoutchast/icecast stream playback
 * ID3 tag parsing
 * play time calculation (slow)
 * http header parsing

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/xmms/Input/libxmmsmad.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_libdir}/xmms/Input/libxmmsmad.so

%changelog
* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- clean unpackaged files
- fix doc file list

* Mon Oct 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- require latest mad-devel for pkgconfig file
- new version

* Sat Sep 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- new version

* Fri Sep 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- new version

* Fri Aug 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- new version

* Sat Aug  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package
